<?php
	include 'JSON_eWallet.php';

	// prepare parameters for eWallet HTTP adapter
	$arrItems_to_checkout = array(
		array(
			// regular payment
			'Amount'				=> '10.79',
			'CurrencyCode'			=> 'USD',
			'ItemDescription'		=> 'Initial Payment',
			'MerchantReferenceID'	=> 'json_MyDatabaseTransactionRef_1000',
            'UserReturnURL'			=> 'http://www.mysite.com/Thankyou.aspx', // only usefull for instant payments like from eWallet or credit card
            'MustComplete'			=> 'true'
		),
		array(
			// monthly subscription payment with initial payment
			'Amount'				=> '59.95',		// initial payment amount
			'CurrencyCode'			=> 'USD',
			'ItemDescription'		=> 'eBook purchase',
			'MerchantReferenceID'	=> 'json_MyDatabaseTransactionRef_1001',
            'UserReturnURL'			=> '',
            'MustComplete'			=> 'false',
			'IsSubscription'		=> 'true',
			'SubscriptionAmount'	=> '19.95',		// monthly subscription amount
			'SubscriptionDaysToStart' => '0'
		)
	);

	$params = array(
		'fn'    			=> 'eWallet_AddCheckoutItems',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'UserName'			=> 'json_user_1',
		'arrItems'			=> $arrItems_to_checkout,
		'CurrencyCode'		=> 'USD',
	);

	$request = json_encode($params);
	echo '<b>Request:</b><br>';
	echo $request;
	
	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);

	echo '<br><br>';
	echo '<b>Response:</b><br>';
	echo $ips_response;
	
	echo '<br><br>';
	
	// parse return
	$response = json_decode($ips_response);
	echo "m_Code = " . $response->response->m_Code . "<br>"; // if success it should be NO_ERROR
	echo "m_Text = " . $response->response->m_Text . "<br>"; // if error, it will contain error description
?>
